/*
************************************************************
Styles:     flix//mobile-nav
Copyright:  (c) interaktiv manufaktur
Website:    www.interaktiv-manufaktur.de
************************************************************
*/


@media only screen and (max-width: 1024px)  {
    #page-canvas{
        transition: ease-in-out .4s;
        left: 0;
        position: absolute;
    }
    .menu-trigger{
        display: block !important;
    }
}
.close-page-canvas{
    left: 60% !important;
}
.menu-trigger{
    display: none;
}

.nav1-mobile-div{
    overflow: scroll;
}

/*######### Mobile 2 - left menu ###############*/

.menu-trigger {
    height: 29px;
    /*padding: 8px 0px;*/
    width: 30px;
    cursor: pointer;
    transition: ease-in .3s;
    position: absolute;
    top: 20px;
    right: 25px;

}
.menu-trigger.menu-line-box{
    padding: 26px 15px;
    width: 30px;
    height: 8px;
    transition: ease .3s;
}

.menu-trigger .menu-line{
    transition: ease-in .2s;
    width: 100%;
    height: 4px;
    border-radius: 15px;
    margin: 0 auto 5px;
}

.menu-trigger:hover .menu-line:nth-child(2){
    width: 80%;

}
.menu-trigger .main-content{
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: ease-in-out .4s;
}

.menu-trigger.open .menu-line:nth-child(1){
    transform: rotate(45deg);
    position: relative;
    top: 6px;
}

.menu-trigger.open .menu-line:nth-child(2){
    display: none;
}

.menu-trigger.open .menu-line:nth-child(3){
    transform: rotate(-45deg);
    position: relative;
    top: -3px;
}

.subnav-nav-trigger::before{
    font-family: "Font Awesome 5 Pro", sans-serif;
    content: "\f107";
    color: #ffffff;
}

.subnav-nav-trigger {
    height: 48px;
    /*width: 35px;*/
    /*display: inline-block;*/
    cursor: pointer;
    float: left;
    /*margin-top: 5px;*/
    font-size: 35px;
    text-align: center;
    overflow: hidden;
    margin-left: 7px;
    padding-left: 15px;
    padding-right: 15px;
    transition: ease-in-out 0.3s transform;
    line-height: 48px;
    transform: rotate(-90deg);
    background: none;
    border: none;
}

.subnav-nav-trigger:focus-visible {
    outline: 3px solid #fff;
    outline-offset: -10px;
}

.subnav-nav-trigger.opened{
    transform: rotate(0deg);
}
.nav1-mobile-link{
    margin-right: 5px;
}

.nav1-mobile-link:focus-visible {
    outline: none;
}

.nav1-mobile-link:focus-visible span {
    outline: 3px solid;
    outline-offset: 1px;
}

.nav1-mobile-div.menu-2{
    position: fixed;
    top: 79px;
    height: 100%;
    transition: ease-in-out .4s;
    z-index: 999;
}

.nav1-mobile-div.menu-2 .nav1-mobile{
    height: auto;
    /*position: relative;*/
    /*   top: 50%;
       left: 100px;*/
    /*transform: translate(-50%, 0%);*/
    border: none;
}

.nav1-mobile-div.menu-2 .nav1-mobile-item{
    border: none;

}

.nav1-mobile-div.menu-2 .nav1-link-mobile{

}

.nav1-mobile-div.menu-2 .nav1-link:hover{

}
.nav1-mobile-link.active span{
    font-weight: 700;
}


.nav1-mobile-div.menu-1{
    position: absolute;
    width: 100vw;
    top: 60px;
    /*right: -100vw;*/
    transition: ease-in-out .4s;
    padding-bottom: 70vh;
    padding-top: 30px;
}

@media only screen and (max-width: 580px)  {
    .nav1-mobile-div.menu-1{
        position: absolute;
        width: 100vw;
        top: 60px;
        /*right: -100vw;*/
        transition: ease-in-out .4s;
        padding-bottom: 70vh;
        padding-top: 0;
    }
}

.nav1-mobile-div.menu-2{
    position: fixed;
    width: 100vw;
    height: calc(100vh - 80px);
    top: 80px;
    right: 0;
    ;
    transition: ease-in-out .4s;
}

.nav1-mobile-div.menu-3{
    position: fixed;
    width: 60vw;
    height: 100vh;
    top: 0;
    right: -60vw;
    transition: ease-in-out .4s;
}

